Subject: Re: bug#57813: Icon images are non-functional

From: Eli Zaretskii <[email-masked]>
Date: Thu, 15 Sep 2022 21:32:58 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 15 Sep 2022 20:35:38 +0300
> 
> >> S-TAB is so slow that it takes several seconds on etc/NEWS.
> >
> > Please profile it and post the profile.  For me, S-TAB is
> > instantaneous in NEWS, even though my Emacs is built without
> > optimizations.  So I wonder what takes it several seconds in your
> > case.
> 
> Maybe you didn't enable buttons?

Maybe you didn't tell I should?

>   With something like:
> 
>   (setq outline-minor-mode-use-buttons '(derived-mode . special-mode))

I still cannot reproduce this, after evaluating the above and visiting
NEWS.  Neither do I see buttons in NEWS.  What else is needed?  Can
you show a recipe starting from "emacs -Q"?

> This is before optimization:
> 
>         1995  89% - command-execute
>         1959  87%  - funcall-interactively
>         1946  86%   - outline-cycle-buffer
>         1379  61%    - outline-hide-sublevels
>         1375  61%     - outline-flag-region
>         1375  61%      - outline--fix-up-all-buttons
>         1371  61%       - outline-map-region
>         1371  61%        - #<subr F616e6f6e796d6f75732d6c616d626461_anonymous_lambda_27>
>         1339  59%         - outline--cycle-state
>           43   1%          + outline-end-of-subtree

And if you load outline.el (not .elc or .eln)?  How does the profile
before optimization look then?